ChangeSet 1.1283, 2003/06/04 17:39:50-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/mips/mips-boards/generic/pci.c


 arch/mips/mips-boards/generic/pci.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/mips/mips-boards/generic/pci.c b/arch/mips/mips-boards/generic/pci.c
--- a/arch/mips/mips-boards/generic/pci.c	Wed Jun  4 18:07:51 2003
+++ b/arch/mips/mips-boards/generic/pci.c	Wed Jun  4 18:07:51 2003
@@ -154,7 +154,7 @@
 void __init pcibios_init(void)
 {
 #ifdef CONFIG_MIPS_MALTA
-	struct pci_dev *pdev;
+	struct pci_dev *pdev = NULL;
 	unsigned char reg_val;
 #endif
 
@@ -178,7 +178,7 @@
 	GT_WRITE( GT_PCI0_CFGDATA_OFS, PHYSADDR(MIPS_GT_BASE)); 
 
 #ifdef CONFIG_MIPS_MALTA
-	pci_for_each_dev(pdev) {
+	while ((pdev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, pdev)) != NULL) {
 		if ((pdev->vendor == PCI_VENDOR_ID_INTEL)
 		    && (pdev->device == PCI_DEVICE_ID_INTEL_82371AB)
 		    && (PCI_SLOT(pdev->devfn) == 0x0a)) {
